/* TROIA distributor
 * version 1.3 date 2006-10-01
 * Copyright (C) 2003-2006 Stefan Schuermans <1stein@schuermans.info>
 * Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html
 */

#ifndef INC_td_config
#define INC_td_config

#include <netinet/in.h>

//parsed settings from troia_dist configuration file
extern int td_verbose;
extern int td_prototype;
extern in_addr_t td_in_listen_addr;
extern in_port_t td_in_listen_port;
extern double td_map_gamma;
extern in_addr_t td_out_bind_addr;
extern in_port_t td_out_bind_port;
extern in_addr_t td_out_ip_base, td_out_ip_step;
extern in_port_t td_out_dest_port;
extern unsigned short td_out_dev_cnt, td_out_ser_cnt, td_out_pix_cnt;
extern char td_fmt_file[];

//get troia_dist configuration from configuration file
void td_config_get( char * filename );

#endif //#ifndef INC_td_config
